## yorick-ml4 0.5.1

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/lib/yorick
Y_EXE=/usr/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick
Y_EXE_SITE=/usr/lib/yorick

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=ml4
PKG_I=ml4.i

OBJS=ml4.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=ml4_start.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

ml4.o: ml4.h

clean::
	-rm -rf binaries

# -------------------------------------------------------- end of Makefile


# for the binary package production (add full path to lib*.a below):
PKG_DEPLIBS_STATIC=-lm 
PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

# packages or devel_pkgs:
PKG_DEST_URL = packages

package:
	$(MAKE)
	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)

distbin: package
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc: clean
	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

## yorick-ml4 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # ----------------------------------------------------- optimization flags

=== debian/changelog ===
yorick-ml4 (0.6.0-6) unstable; urgency=medium

  * Bug fix: "ftbfs with GCC-14" again, previous fix worked only for 64bit
    arches (Closes: #1075703).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 30 Jul 2024 08:30:32 +0200

yorick-ml4 (0.6.0-5) unstable; urgency=medium

  * Check against Policy 0.6.0-5.
  * Bug fix: "ftbfs with GCC-14", thanks to Matthias Klose (Closes:
    #1075703), new patch gcc-14.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 29 Jul 2024 18:19:44 +0200

yorick-ml4 (0.6.0-4) unstable; urgency=high

  * Update debhelper compatibility level (Closes: #965919).
    + replace debian/compat by Build-Depends: debhelper-compat (= 13).
  * Bump policy standard to 4.6.0.
    + change Priority to optional.
    + removed DM-Upload-Allowed: yes

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 17 Jan 2022 17:12:32 +0100

yorick-ml4 (0.6.0-3) unstable; urgency=low

  * Fortify (don't rely on Yorick to pass the right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 16:01:48 +0200

yorick-ml4 (0.6.0-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 14:40:59 +0200

yorick-ml4 (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Checked agains policy 3.8.3
  * Use 3.0 (quilt) format
  * Convert longs to ints before writing them to file (Closes: #506297)
  * Run debian/check.i at build time

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 23 Nov 2009 18:18:50 +0100

yorick-ml4 (0.5.1-3) unstable; urgency=high

  * Fixed bug "yorick-ml4 is not 64bit-safe" (Closes: #506297).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 20 Nov 2008 13:58:21 +0100

yorick-ml4 (0.5.1-2) unstable; urgency=low

  * debian/copyright: fix erroneous pointer from
    /usr/share/common-licenses/GPL to
    /usr/share/common-licenses/GPL-2

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 23 Jan 2008 14:07:27 +0100

yorick-ml4 (0.5.1-1) unstable; urgency=low

  * Initial Release (closes: #460852).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 16 Jan 2008 14:06:39 +0100

=== debian/control ===
Source: yorick-ml4
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.05)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/science-team/yorick-ml4.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-ml4

Package: yorick-ml4
Architecture: any
Depends: yorick (>=1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: Matlab file format support for the Yorick language
 This is a compiled add-on for yorick (an interpreted computer
 language specialized for numerical and scientific problems).
 Yorick-ml4 adds read and write support for the file format produced by the
 commercial product Matlab 4.

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/ml4-(.*)-src\.tgz
